<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

	<!-- Import Datatable sau jquery -->
	<!-- Import them style bootstrap cho datatable -->
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
	<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <title>Info</title>
</head>
<body>
    <div class="container">
        <div class="d-flex justify-content-center mt-5 pt-5" >
            <div class="card w-50">
                <div class="card-header">
                    <h3 class="text-center mb-4">My account info</h3>
                </div>
                <div class="card-body p-4">
                    
                    <div class="form-group">
                        <input id="inp-username" type="text" class="form-control" placeholder="Username" disabled>
                    </div>

                    <div class="form-group">
                        <input id="inp-email" type="email" class="form-control" placeholder="Email" disabled>
                    </div>
                    <button id="btn-log-out" class="btn btn-danger btn-md">Log out</button>
                </div>
            </div>
        </div>
    </div>
</body>
<script>
    $(document).ready(function () {
    const token = getCookie("token");

    //Gọi API để lấy thông tin người dùng

    //Khai báo xác thực ở headers
    var headers = {
        Authorization: "Bearer " + token
    };

    var urlInfo = "http://localhost:8080/users/me";

    $.ajax({
        url: urlInfo,
        method: "GET",
        headers: headers,
        success: function(responseObject) {
            console.log(responseObject);
            displayUser(responseObject);
        },
        error: function(xhr) {
            console.log(xhr);
            // Khi token hết hạn, AJAX sẽ trả về lỗi khi đó sẽ redirect về trang login để người dùng đăng nhập lại
            redirectToLogin()
        }
    });

    //Set sự kiện cho nút logout
    $("#btn-log-out").on("click", function() {
        redirectToLogin();
    });

    function redirectToLogin() {
        // Trước khi logout cần xóa token đã lưu trong cookie
        setCookie("token", "", 1);
        window.location.href = "login.html";
    }

    //Hiển thị thông tin người dùng
    function displayUser(data) {
        $("#inp-username").val(data.username);
        $("#inp-email").val(data.email);
    };   

    //Hàm get Cookie đã giới thiệu ở bài trước
    function getCookie(cname) {
        var name = cname + "=";
        var decodedCookie = decodeURIComponent(document.cookie);
        var ca = decodedCookie.split(';');
        for (var i = 0; i < ca.length; i++) {
            var c = ca[i];
            while (c.charAt(0) == ' ') {
                c = c.substring(1);
            }
            if (c.indexOf(name) == 0) {
                return c.substring(name.length, c.length);
            }
        }
        return "";
    }

    //Hàm setCookie đã giới thiệu ở bài trước
    function setCookie(cname, cvalue, exdays) {
        var d = new Date();
        d.setTime(d.getTime() + (exdays*24*60*60*1000));
        var expires = "expires="+ d.toUTCString();
        document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
    }
})

</script>
</html>